using System;

internal sealed class Delegate712 : MulticastDelegate
{
	public extern byte[] Invoke(object object_0, byte[] byte_0);

	public static byte[] smethod_0(object object_0, byte[] byte_0, Delegate712 delegate712_1)
	{
		return delegate712_1(object_0, byte_0);
	}

	public extern Delegate712(object object_0, IntPtr intptr_0);

	static Delegate712()
	{
		Class10.smethod_13(typeof(Delegate712).TypeHandle);
	}

	internal static Delegate712 delegate712_0;
}
